Bug 117137 - FILESAVE: DOCX: file cannot be opened in MSO / numbering lost in LO
Summary: FILESAVE: DOCX: file cannot be opened in MSO / numbering lost in LO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: high normal
Assignee: Justin L
URL:
Whiteboard: target:6.1.0 target:6.2.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2018-04-21 08:25 UTC by Justin L
Modified: 2018-11-07 13:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
05 Orfanosentel bug RT2010.docx: RT .doc from bug 115690 in MSO2010 (131.51 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-04-21 08:25 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2018-04-21 08:25:33 UTC
Created attachment 141514 [details]
05 Orfanosentel bug RT2010.docx: RT .doc from bug 115690 in MSO2010

Starting in LO 6.1, round-tripping this .docx file corrupts it so that MSO refuses to open it. In LO, one side-effect I noticed is that the heading numbering is lost.

Bisected to commit a6f2199e9888cb75960f1d35034bd44fb45e5565 by Miklos on 	2018-02-02 09:04:02 +0100
https://cgit.freedesktop.org/libreoffice/core/commit/?id=a6f2199e9888cb75960f1d35034bd44fb45e5565

> DOCX import: don't try to set grab-gag props as UNO props
> This fixes loads of warnings during import.
> They are harmless as we catch the exception, but they are
> just noise. It seems the code that transforms grab-bag pseudo-props into
> real props was added in commit 4c3ba3a413be7339115ea5e6edc825a8434cd345
> (fdo#75757: Remove inheritance from std::map., 2014-07-26), which is
> supposed to be a pure refactoring, so just remove this problematic
> transformation.
CC: Miklos
Comment 1 Jacques Guilleron 2018-04-21 12:44:45 UTC Comment hidden (obsolete)
Comment 2 Jacques Guilleron 2018-04-21 13:03:07 UTC
To complete : The file is opened with Microsoft Word Starter 2010 under Windows 7 and numbering is not lost.
Comment 3 raal 2018-04-21 14:30:51 UTC
I can confirm with Version: 6.1.0.0.alpha0+
Build ID: d4a01820ae094ef2d4ec2196334120600b1c9621
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 

error in word2010: prefix not declared; Location:Part:word/numbering.xml, Line:2, column:896
Comment 4 Jacques Guilleron 2018-04-21 16:11:55 UTC
OK,
Bad manip from me. I reproduce the same eror than raal after saving the file into
LO 6.1.0.0.alpha0+ Build ID: f80029445e2b558f0d0e0a25c2c1bbcbe5254120
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-13_23:07:11
Locale: fr-FR (fr_FR); Calc: CL
but not with
LO  6.1.0.0.alpha0+ Build ID: 6fc9d4a482ab50a1bf8fefb1dae2a6ded3c7e3dd
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-24_04:37:19
Locale: fr-FR (fr_FR); Calc: CL
Comment 5 Justin L 2018-04-21 18:59:48 UTC
confirmed that reverting the identified commit resolves the problem.   https://gerrit.libreoffice.org/53271 tdf#117137: Revert "DOCX import: don't try to set grab-gag props as UNO props"
Comment 6 Justin L 2018-04-23 12:48:58 UTC
proposed fix: https://gerrit.libreoffice.org/53271
Comment 7 Commit Notification 2018-05-09 07:41:01 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac27f4e7abf5339f71d4f5f3fc09a13b25669fe4

tdf#117137: DOCX import: don't try to set grab-bag as UNO prop

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-05-31 09:59:00 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: 2a0d8106a558845357d39648656e08ec6f091cf8
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Justin, Thanks for fixing this!!
Comment 9 Commit Notification 2018-11-07 13:56:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/edbb7a39c7a954f8c773e6bdf136e65b70299dd5%5E%21

tdf#117137 sw: add testcase for this DOCX import bug

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.